# file /etc/systemd/system/lsp_python.service

[Unit]
Description=LSP (language server protocol) pour Python
After=local-fs.target network.target

[Service]
User=lsp
Group=lsp
UMask=0002

# create temporary /run/lsp_python/
RuntimeDirectory=lsp_python
RuntimeDirectoryMode=770

WorkingDirectory=/srv/lsp
ExecStart=/usr/local/bin/langserver_ext.py
StandardOutput=null
StandardError=journal
Restart=always

# forbid access to /home
ProtectHome=true

# "full" means read-only /usr /boot /etc
ProtectSystem=full

# /tmp is not shared with other processes
PrivateTmp=true

# no user privilege escalation
NoNewPrivileges=true

# misc
ProtectControlGroups=true
ProtectKernelModules=true
ProtectKernelTunables=true
RestrictSUIDSGID=true

ProtectHostname=true

[Install]
WantedBy=multi-user.target
